[제안] BMT 기능 추가요청 드려요. > 기능 제안 및 요청

본문 바로가기

기능 제안 및 요청

[제안] BMT 기능 추가요청 드려요.

페이지 정보

작성자 김용배 댓글 3건 조회 208회 작성일 24-07-08 13:40

본문

현재 매크로키패드에 BMT 와 ZR기능키를 매핑하여쓰고있습니다.

제가쓰고 있는것을 다른 직원들이 (오토캐드LT사용자) 사용하고 싶어해서
매핑을 해주었는데 속도가 느리고,
스크립트 사용해서는 리습이 작동하지않네요ㅜㅜ

하여 다음과같은 명령어를 추가하여주시면 어떨까하여 제안드려봅니다.

------------------------------
---추가요청 구문 제안------
------------------------------
(defun c:ppp1() (setvar 'osmode 0)(command "_.xiBoxMoveTool" "_p" "0,0" "1,0" "x")(setvar 'osmode 111)(princ)) ;화면을 좌로이동 with XiCAD
(defun c:ppp2() (setvar 'osmode 0)(command "_.xiBoxMoveTool" "_p" "0,0" "0,1" "x")(setvar 'osmode 111)(princ)) ;화면을 아래로이동 with XiCAD
(defun c:ppp3() (setvar 'osmode 0)(command "_.xiBoxMoveTool" "_p" "0,0" "-1,0" "x")(setvar 'osmode 111)(princ)) ;화면을 우로이동 with XiCAD
(defun c:ppp5() (setvar 'osmode 0)(command "_.xiBoxMoveTool" "_p" "0,0" "0,-1" "x")(setvar 'osmode 111)(princ)) ;화면을 위로이동 with XiCAD
(princ)
------------------------------끝
뒤에 붙은 숫자는 숫자패드에 방향역활하는 방향입니다.
(5)
^
(1)<- (2) -> (3)

명령어는 다른 이름으로 지정해 주셔도 무방합니다. 감사합니다.

댓글목록

김용배님의 댓글

김용배 작성일

p.s.
추가 제안.
BMT설정에서 도곽 영역을 ZR처럼 도면별로 지정할수 있을까요?

이자더님의 댓글

이자더 작성일

올려 주신 것은 아래 처럼 만들어서, ../xicad/Lisp/_OneKey.lsp 에 넣어 놓으시면 되세요.

(defun c:ppp1 nil (vla-SendCommand xi_acDoc "_.xiBoxMoveTool _P 0,0 1000,0 X "))
(defun c:ppp2 nil (vla-SendCommand xi_acDoc "_.xiBoxMoveTool _P 0,0 0,1000 X "))
(defun c:ppp3 nil (vla-SendCommand xi_acDoc "_.xiBoxMoveTool _P 0,0 -1000,0 X "))
(defun c:ppp5 nil (vla-SendCommand xi_acDoc "_.xiBoxMoveTool _P 0,0 0,-1000 X "))


---------
혹은 명령어를 여러개로 나누지 않고, 아래로 통합할 수도 있습니다.

(defun c:xxxx ( / flag )
  (while (not flag)
      (setq gr (grread 'T 1))
      (if (= 2 (car gr))
        (cond
            (  (= 49 (cadr gr))
              (vla-SendCommand xi_acDoc "_.xiBoxMoveTool _P 0,0 1000,0 X ")
              (setq flag 'T)
            )
            (  (= 50 (cadr gr))
              (vla-SendCommand xi_acDoc "_.xiBoxMoveTool _P 0,0 0,1000 X ")
              (setq flag 'T)
            )
            (  (= 51 (cadr gr))
              (vla-SendCommand xi_acDoc "_.xiBoxMoveTool _P 0,0 -1000,0 X ")
              (setq flag 'T)
            )
            (  (= 53 (cadr gr))
              (vla-SendCommand xi_acDoc "_.xiBoxMoveTool _P 0,0 0,-1000 X ")
              (setq flag 'T)
            )
        )
      )
  )
)

--------------------------------
그리고, osmode 는 바꾸지 않으셔도 되세요. osmode 와 무관하게 작동되는 방식이라서요..


도면별 지정은 다음 버전에 포함해 놓겠습니다.
의견 감사합니다.

김용배님의 댓글

김용배 작성일

감사합니다.^^


XICAD, Copyright © izzarder.com All rights reserved.